Skip to content

Query Materialized Table Partitions

API Description

Use this API to page through the partition metadata list of a specified materialization plan.

⚠️ Note:

  • This API returns only partition information recorded by the system and does not read the underlying physical table.

API URL

GET /anymetrics/api/v1/accelerate/plan/queryMtPartitionList

Request parameters

Common Request Headers

parameter Type required Description
tenant-id String Yes Tenant ID, used to identify the tenant for metric query content.
auth-type String Yes Authentication method. Supports UID, TOKEN, ACCOUNT, and APIKEY.
auth-value String Yes Authentication value corresponding to auth-type.

How to Obtain Common parameters

You can obtain this in the top navigation of Aloudata CAN under Metric Applications > API Integration.

image.png

Request parameters

Field Type required Description
uuid String ✔ Yes Materialization plan unique ID
pageNumber Integer ✔ Yes Page number, starting from 1
pageSize Integer ✔ Yes Page size

Request Example

GET /anymetrics/api/v1/accelerate/plan/queryMtPartitionList?uuid=ecfc2a9539a04ef49897a9b4e3d65e7f&pageNumber=1&pageSize=20

Response parameter Description

Field Type Description
isPartition Boolean Whether it is a partitioned table
hasData Boolean Whether data is available
partition Object Partition information. For full-refresh tables, this is null

partition Object Structure

Field Type Description
paritionList List current page partition list
hasNext Boolean Whether there is a next page
total Integer Total partition count
pageNumber Integer current page number
pageSize Integer Page size

Response Example

{
  "hasData": true,
  "isPartition": true,
  "partition":{
    "paritionList": [
      { "value": "2025-10-21" },
      { "value": "2025-10-20" },
      { "value": "2025-09-25" }
    ],
    "hasNext": false,
    "total": 3,
    "pageNumber": 50,
    "pageSize": 1
  }
}